Page MenuHomePhabricator

"MediaWiki:Emailuser" and "MediaWiki:Userrights" should support {{GENDER}}
Closed, ResolvedPublic

Description

Currently, MediaWiki:Emailuser and MediaWiki:Userrights do not support {{GENDER}}.

Some languages use different forms for "User", according to the person's gender.

Therefore, these messages should have a parameter indicating the relevant username. This way it will be possible to use the correct form using {{GENDER}}.

Details

Related Gerrit Patches:

Event Timeline

Guycn2 created this task.Aug 7 2016, 2:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2016, 2:20 AM
Guycn2 updated the task description. (Show Details)Aug 7 2016, 2:21 AM
TTO added subscribers: Nemo_bis, TTO.Aug 7 2016, 3:09 AM

emailuser is the generic message used in lists of special pages, etc., so there is no point adding GENDER there. On the actual special page, the title of the page is set to one of the following messages, according to whether there is a target or not:

	"emailuser-title-target": "Email this {{GENDER:$1|user}}",
	"emailuser-title-notarget": "Email user",

As for userrights, the term "user" is used in the context of the noun phrase "user rights management", where it refers to the abstract concept of a user, rather than any individual user, so I don't think the use of GENDER is appropriate here.

Guycn2 added a comment.Aug 7 2016, 4:50 AM

emailuser is the generic message used in lists of special pages, etc., so there is no point adding GENDER there. On the actual special page, the title of the page is set to one of the following messages, according to whether there is a target or not:

	"emailuser-title-target": "Email this {{GENDER:$1|user}}",
	"emailuser-title-notarget": "Email user",

As for userrights, the term "user" is used in the context of the noun phrase "user rights management", where it refers to the abstract concept of a user, rather than any individual user, so I don't think the use of GENDER is appropriate here.

Both of this messages actually do refer to individual users, because they also appear under the toolbox when viewing the user's user or talk page.

Change 303406 had a related patch set uploaded (by TTO):
Add GENDER support to email and user rights toolbox links

https://gerrit.wikimedia.org/r/303406

TTO added a comment.Aug 7 2016, 6:05 AM

Ah, OK. I didn't realise that. Context is important when referring to messages, as the same message can be used in different places in the UI!

I uploaded a patch that addresses this by creating new messages for use in the sidebar, as well as taking the opportunity to rephrase the user rights message to a more active form.

Guycn2 added a comment.Aug 7 2016, 8:04 AM

@TTO, thank you! :)

Liuxinyu970226 added a subscriber: Liuxinyu970226.EditedAug 9 2016, 2:43 PM

Currently oppose Emailuser, some languages may ignored "user" in translation, e.g. https://translatewiki.net/wiki/MediaWiki:Emailuser/zh-hans (pinging @YFdyh000 for reason) and https://translatewiki.net/wiki/MediaWiki:Emailuser/lzh

Guycn2 added a comment.Aug 9 2016, 2:58 PM

But a lot of languages use different forms for "user" according to the gender. The lack of {{GENDER}} support in this message causes inconvenience.

TTO added a comment.Aug 9 2016, 8:36 PM

Currently oppose Emailuser, some languages may ignored "user" in translation

That's not a reason to oppose this. The language can still choose to translate the message without the word "user" in it; it's not compulsory to actually make use of the GENDER information.

emailuser is the generic message used in lists of special pages

That's the bug actually, message reuse. Probably the message needs to be split, one for the name of the special page and one of the label of a link/action/whatever referring to a specific user.

Nemo_bis triaged this task as Medium priority.Sep 1 2016, 10:14 PM
TTO added a comment.Sep 1 2016, 10:50 PM

That's the bug actually, message reuse. Probably the message needs to be split,

That's what my patch does. Unfortunately, it hasn't received much attention.

Guycn2 added a comment.Sep 2 2016, 5:02 AM

That's the bug actually, message reuse. Probably the message needs to be split,

That's what my patch does. Unfortunately, it hasn't received much attention.

This patch is indeed what should be done.

Liuxinyu970226 added a comment.EditedSep 2 2016, 4:04 PM

But a lot of languages use different forms for "user" according to the gender.

Huh? I looked https://translatewiki.net/w/i.php?title=Special%3ATranslations&message=Emailuser&namespace=8 yesterday, and only 6 (es, gl, got, he, pt and sq) have this issue, even fr, ksh, ru and uk are seems not affected, is this still "a lot of languages"?

Change 303406 merged by jenkins-bot:
Add GENDER support to email and user rights toolbox links

https://gerrit.wikimedia.org/r/303406

Legoktm closed this task as Resolved.Sep 20 2016, 10:40 PM
Legoktm assigned this task to TTO.

Thanks for fixing it